function [new_truth theta W num_raters] = STAPLE(obs, num_slices, num_labels, num_voxels_per_im, num_voxels, bias, bias_factor, epsilon)

% get the ordered rater array and the number of raters
[raters num_raters] = reorder_array(obs.raters);

% get the ordered slices array
slices = reorder_array(obs.slices);

% get the ordered volumes array
volumes = reorder_array(obs.volumes);

% get the data array
data = ([obs.data{:}]);

% run the constructor on the staple class (initialize)
staple = edu.vanderbilt.masi.STAPLE.STAPLE(obs.num, num_voxels, num_slices, ...
                                           num_voxels_per_im, num_labels, ...
                                           num_raters, data, slices, ...
                                           volumes, raters, bias, ...
                                           bias_factor, epsilon);

% run STAPLE. Get the estimate, W and theta
new_truth = uint8(staple.run_STAPLE());
W = staple.get_w();
theta = staple.get_theta();
t_prior = staple.get_t_prior()

