function [W] = calc_w(theta, obs, num_voxels, num_voxels_per_im, num_slices)
% calculate W for the pig heart data

% find the number of labels
num_labels = size(theta, 1);
% initialze W
W = ones(num_voxels, num_labels);

% use the observation data to calculate W
for i = 1:obs.num
    volume = obs.volumes(i);
    slice = obs.slices(i);
    rater = obs.raters(i);
    data = obs.data{i};
    vox = get_voxel_num(volume, slice, 0, num_slices, num_voxels_per_im);
    for s = 1:num_labels
        W(vox + (1:length(data)), s) = ...
                W(vox + (1:length(data)), s) .* theta(data(:)+1, s, rater);
    end
end

% normalize for each voxel
W = W ./ (repmat(sum(W'), [num_labels 1])');

