function W = calc_w_boundary(theta, obs, num_voxels, num_voxels_per_im, ...
                             num_slices, length_im, width_im)

% initialze W
W = ones(num_voxels, 2);

% use the observation data to calculate W
for i = 1:obs.num
    volume = obs.volumes(i);
    slice = obs.slices(i);
    rater = obs.raters(i);
    data = obs.data{i};
    vox = get_voxel_num(volume, slice, 0, num_slices, num_voxels_per_im);
    u_boundarypix = find_boundary_pixels(data, 1, length_im, width_im, ...
                                         num_voxels_per_im);
    for v = 1:num_voxels_per_im
        % iterate over the potential boundaries
        for b = 1:2
            % get the boundary factor
            boundary_factor = theta(u_boundarypix(v) + 1, b, rater);

            % calculate W
            W(vox + v, b) = W(vox + v, b) * boundary_factor;
        end

    end
end

% normalize for each voxel
W = W ./ (repmat(sum(W'), [2 1])');

