function W = calc_w_consensus(theta, obs, num_voxels, num_voxels_per_im, ...
                              num_slices, consensus)

% find the number of labels
num_labels = size(theta, 1);
% initialze W
W = ones(num_voxels, num_labels);

% use the observation data to calculate W
for i = 1:obs.num
    volume = obs.volumes(i);
    slice = obs.slices(i);
    rater = obs.raters(i);
    data = obs.data{i};
    vox = get_voxel_num(volume, slice, 0, num_slices, num_voxels_per_im);
    inds = find(consensus(vox + (1:length(data))) == -1);
    for m = 1:length(inds)
        v = inds(m);
        % iterate over all of the labels
        for s = 1:num_labels
            % get the label factor
            label_factor = theta(data(v) + 1, s, rater);

            % calculate W
            W(vox + v, s) = W(vox + v, s) * label_factor;
        end
    end
end

% normalize for each voxel
W = W ./ (repmat(sum(W'), [num_labels 1])');

