function isboundary = check_boundary(data, vox, num_voxels_per_im, ...
                                     length_im, width_im)

% reshape the data
slice = reshape(data, [length_im, width_im]);

% coordinates of the voxel
m = mod(vox, length_im) + 1;
n = ceil(vox / length_im);

% assume the pixel is not a boundary at first
isboundary = 0;

% find the value at the current pixel
v = slice(m, n);

% iterate over all of the cases to determine if the pixel is
% a boundary pixel or not
if (m < length_im && slice(m+1, n) ~= v)
    isboundary = 1;
end
if (m > 1 && slice(m-1, n) ~= v)
    isboundary = 1;
end
if (n < width_im && slice(m, n+1) ~= v)
    isboundary = 1;
end
if (n > 1 && slice(m, n-1) ~= v)
    isboundary = 1;
end
if (m < length_im && n < width_im && slice(m+1, n+1) ~= v)
    isboundary = 1;
end
if (m < length_im && n > 1 && slice(m+1, n-1) ~= v)
    isboundary = 1;
end
if (m > 1 && n < width_im && slice(m-1, n+1) ~= v)
    isboundary = 1;
end
if (m > 1 && n > 1 && slice(m-1, n-1) ~= v)
    isboundary = 1;
end

