function [fnames] = find_usable_fnames_online(data_dir, num_slices, st_slice)
% finds the usable filenames for online simulation
% returns a cell array that is num_slices x min_obs

% a list of filenames to ignore
ignores = {};

% create a cell array to hold the available filenames for each slice
fnames = cell(num_slices, 1);

for i = 1:num_slices
    % get the filenames of all of the images
    fnames_all = dir([data_dir, '/*_sl', num2str(i + (st_slice -1)), '_*.png']);
    fnames_ind = zeros(size(fnames_all));

    % remove any filenames that should be ignored
    for j = 1:length(fnames_all)
        for k = 1:length(ignores)
            if strcmp(fnames_all(j).name, ignores{k})
                fnames_ind(j) = 1;
                k = length(ignores) + 1;
            end
        end
    end
    fnames{i} = {fnames_all(randperm(length(fnames_all))).name};
end

