function obsnew = get_coverage_obs(obs, coverages)
% assumes that all raters performed an observation of each slice exactly once

% get the unique rater numbers
uniqueraters = unique(obs.raters);

% get a random permutation to determine which raters to choose
raternums = randperm(length(uniqueraters));

% make sure that they don't want more coverages than we have raters
if coverages > length(uniqueraters)
    error('Can not collect enough coverages');
end

inds = [];

% find the indices of the observations we want to keep
for i = 1:coverages
    rinds = find(obs.raters == uniqueraters(raternums(i)));
    inds = [inds; rinds];
end

% reorder the observations
obsnew.raters = obs.raters(inds);
obsnew.slices = obs.slices(inds);
obsnew.volumes = obs.volumes(inds);
obsnew.data = obs.data(inds);
obsnew.num = length(inds);

