function [obs] = get_initial_obs(data_dir, file_reg_ex, ignores, ...
                                 num_voxels_per_im)


fnames = dir([data_dir, '/', file_reg_ex]); % all of the image filenames
num_obs = length(fnames); % total number of observations (number of images)
obs = struct('raters', -1 * ones([num_obs 1]), ...
             'slices', -1 * ones([num_obs 1]), ...
             'volumes', -1 * ones([num_obs 1]), ...
             'num', 0);
obs.data = cell(num_obs, 1);

% iterate over each file name
for i = 1:length(fnames)
    ignore = 0;
    % check to see if we are supposed to ignore this file
    for j = 1:length(ignores)
        if strcmp(fnames(i).name, ignores{j})
            ignore = 1;
            j = length(ignores) + 1;
        end
    end
    if ~ignore
        obs = add_obs(obs, [data_dir, '/', fnames(i).name], num_voxels_per_im);
    end
end

% get the new number of observations
num_obs = obs.num;

obs.raters = obs.raters(1:num_obs);
obs.slices = obs.slices(1:num_obs);
obs.volumes = obs.volumes(1:num_obs);
obs.data = obs.data(1:num_obs);
obs.num = num_obs;

