function index = jaccard(data1, data2)

% find the unique values in data1 and data2
unique1 = unique(data1);
unique2 = unique(data2);
uniqueall = union(unique1, unique2);

% calculate the jaccard index for each label
jac = zeros([length(uniqueall) 1]);

% iterate over each unique value
for i = 1:length(uniqueall)
    % get the value
    v = uniqueall(i);

    % find where that value is in data1
    inds1 = find(data1 == v);

    % find where that value is in data2
    inds2 = find(data2 == v);

    % calculate the union for this label
    unon = union(inds1, inds2);

    % calculate the intersect for this label
    intsct = intersect(inds1, inds2);

    % calculate the jaccard index for this label
    jac(i) = length(intsct) / length(unon);
end

index = mean(jac);


