function estimate = majority_vote(obs, num_slices, num_voxels_per_im, ...
                                  num_voxels, num_labels);

% get the ordered rater array and the number of raters
[obs.raters num_raters] = reorder_array(obs.raters);

% get the ordered slices array
obs.slices = reorder_array(obs.slices);

% get the ordered volumes array
obs.volumes = reorder_array(obs.volumes);

% allocate space for the voxel array
varr = zeros([num_voxels num_labels]);

% use the observation data to calculate W
for i = 1:obs.num
    volume = obs.volumes(i);
    slice = obs.slices(i);
    rater = obs.raters(i);
    data = obs.data{i};
    vox = get_voxel_num(volume, slice, 0, num_slices, num_voxels_per_im);

    for v = 1:num_voxels_per_im
        varr(vox + v, data(v) + 1) = varr(vox + v, data(v) + 1) + 1;
    end
end

% normalize for each voxel
estimate = zeros([num_voxels 1]);
for i = 1:num_voxels
    varr(i, :) = varr(i, :) / sum(varr(i, :));
    ind = find(varr(i, :) == max(varr(i,:)));
    estimate(i) = ind(end) - 1;
end

% calculate the estimate of the truth
%estimate = num_labels - ...
%            sum(cumsum(varr == repmat(max(varr'), [num_labels 1])', 2), 2);
%estimate = uint8(estimate);
