function plot_accuracy_v_theta(rater_accuracy, theta)

num_raters = size(theta, 3);
num_labels = size(theta, 1);
theta_trace = zeros([num_raters 1]);
rater_acc_mean = zeros([num_raters 1]);
rater_acc_std = zeros([num_raters 1]);

for i = 1:num_raters
    diagvals = zeros([num_labels 1]);
    use_labels = [];
    for j = 1:num_labels
        diagvals(j) = theta(j, j, i);
        if sum(theta(:,j,i)) ~= 0
            use_labels = [use_labels j];
        end
    end
    theta_trace(i) = mean(diagvals(use_labels));
    %theta_trace(i) = trace(theta(:,:,i));
    rater_acc_mean(i) = mean(rater_accuracy{i});
    rater_acc_std(i) = std(rater_accuracy{i}) / length(rater_accuracy{i});
end

errorbar(theta_trace, rater_acc_mean, rater_acc_std, 'g*');
xlabel('Mean \theta');
ylabel('Jaccard');
