function [ordered_array num_unique] = reorder_array(unordered_array)
%
% get the array, find unique values, make them consecutive (ordered)
%

% find the unique values
uniquedata = unique(unordered_array);

% use a temporary array to make the values unique from 1 to the number of
% unique values
tmpdata = unordered_array;
for i = 1:length(uniquedata)
    tmpdata(unordered_array == uniquedata(i)) = i;
end

% save the temporary array as the new, ordered array
ordered_array = tmpdata;

% save the number of unique values in case the user wants it
num_unique = length(uniquedata);
