function [obs ignore_raters] = rm_unwanted_raters(obs, ignore_raters, min_ratings)

% check to see if we want to remove any raters based upon their
% number of ratings
if (min_ratings > 1)
    % construct the rater list
    uniqueraters = unique(obs.raters);
    rater_list = zeros(length(uniqueraters), 2);
    rater_list(:, 1) = uniqueraters;
    for i = 1:obs.num
        r = obs.raters(i);
        ind = find(uniqueraters == r);
        rater_list(ind, 2) = rater_list(ind, 2) + 1;
    end

    % ignore the raters that do not reach the minimum rating requirement
    ignore_raters = [ignore_raters, ...
                     rater_list(rater_list(:, 2) < min_ratings, 1)'];
end

% check if there are any raters that should be ignored
if (length(ignore_raters) > 0)

    % remove the observations by the ignored raters 1 by 1
    keep_removing = 1;
    left_off = 1;
    while(keep_removing)

        % search for the next observation to remove
        for i = left_off:obs.num
            if (length(find(ignore_raters == obs.raters(i))))
                obs = rm_obs(obs, i);
                left_off = i;
                i = Inf;
                break;
            end
        end

        % didn't find any, we're done
        if (i < Inf)
            keep_removing = 0;
        end
    end
end

